
Redmine - Defect #2514

Memory usage grow up and cpu 100%

2009-01-15 11:49 - Cyril Mougel

Status: Closed Start date: 2009-01-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I have a redmine version :

Redmine : 0.8.0.stable.2205

Ruby : ruby 1.8.6 (2008-08-11 patchlevel 287) [i686-linux]

Rails : Rails-2.1.2

Postgresql : (PostgreSQL) 8.2.7

SCM : git version 1.6.0.6

Deploy : Thin+Nginx (1 thin server)

Sometimes after a undefined time, my redmine process get 100% of CPU and memory grow up indefinitely. A munin graph show that

: http://shingara.fr/export/munin/shinydedi/shinydedi/index.html

Related issues:

Is duplicate of Redmine - Defect #633: Redmine crashes randomly Closed 2008-02-12

History

#1 - 2009-01-23 18:37 - Jean-Philippe Lang

Do you have any usefull information that can help me to reproduce this problem?

#2 - 2009-01-23 20:40 - Cyril Mougel

Really nothing. I check last URL before the freeze, and I no detect something.

#3 - 2009-01-23 21:15 - Jean-Philippe Lang

This article explains how to inspect a running ruby process:

http://weblog.jamisbuck.org/2006/9/22/inspecting-a-live-ruby-process

Maybe it could give some info about what is going wrong.

#4 - 2009-03-07 13:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this as a dup of #633.
